import './App.css';
import { BrowserRouter as Router, Switch, Route, Link } from 'react-router-dom';
import Home from './comps/home';
import About from './comps/about';
import Gallery from './comps/gallery';
import VipList from './comps/vipList';
import VipInfo from './comps/vipInfo';

function App() {
  return (
    <Router>
      <div className="App text-center">
        <header>
          <Link to="/">Home</Link> |
          <Link to="/about">About</Link> |
          <Link to="/gallery">Gallery</Link> |
          <Link to="/vip">Vip List</Link>
        </header>
        <Switch>
          <Route exact path="/" component={Home}></Route>
          <Route exact path="/about" component={About}></Route>
          <Route exact path="/gallery" component={Gallery}></Route>
          <Route exact path="/vip" component={VipList} />
          <Route exact path="/vip/:id" component={VipInfo} />
        </Switch>
      </div>
    </Router>
  );
}

export default App;